# Class Application

java.lang.Object
jam.framework.Application

Direct Known Subclasses:
  `ConsoleApplication, MultiDocApplication, SingleDocApplication`

public abstract class Application extends Object

## Constructor Summary

Constructors
Constructor
Description
`Application(MenuBarFactory menuBarFactory, String nameString, String titleString, String aboutString, Color aboutBackground, Color aboutForeground, Icon icon, String websiteURLString, String helpURLString)`
`Application(MenuBarFactory menuBarFactory, String nameString, String titleString, String aboutString, Icon icon)`
`Application(MenuBarFactory menuBarFactory, String nameString, String titleString, String aboutString, Icon icon, String websiteURLString, String helpURLString)`
`Application(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon)`
`Application(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon, String websiteURLString, String helpURLString)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addMenuFactory(MenuFactory menuFactory)`
`void`
`addPreferencesSection(PreferencesSection preferencesSection)`
`void`
`addRecentFile(File file)`
`void`
`displayURL(String urlString)`
`void`
`doAbout()`
`void`
`doHelp()`
`abstract DocumentFrame`
`doNew()`
`DocumentFrame`
`doOpen()`
`DocumentFrame`
`doOpen(String fileName)`
`abstract DocumentFrame`
`doOpenFile(File file)`
`void`
`doPageSetup()`
`void`
`doPreferences()`
`abstract void`
`doQuit()`
`void`
`doWebsite()`
`Action`
`getAboutAction()`
`static Color`
`getAboutBackground()`
`static Color`
`getAboutForeground()`
`static String`
`getAboutString()`
`static Application`
`getApplication()`
`Action`
`getExitAction()`
`Action`
`getHelpAction()`
`static String`
`getHelpURLString()`
`static Icon`
`getIcon()`
`static MenuBarFactory`
`getMenuBarFactory()`
`static String`
`getNameString()`
`Action`
`getNewAction()`
`Action`
`getOpenAction()`
`Action`
`getPageSetupAction()`
`Action`
`getPreferencesAction()`
`JMenu`
`getRecentFileMenu()`
`static String`
`getTitleString()`
`Action`
`getWebsiteAction()`
`static String`
`getWebsiteURLString()`
`abstract void`
`initialize()`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Application

public Application(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon)

### Application

public Application(MenuBarFactory menuBarFactory, String nameString, String titleString, String aboutString, Icon icon)

### Application

public Application(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon, String websiteURLString, String helpURLString)

### Application

public Application(MenuBarFactory menuBarFactory, String nameString, String titleString, String aboutString, Icon icon, String websiteURLString, String helpURLString)

### Application

public Application(MenuBarFactory menuBarFactory, String nameString, String titleString, String aboutString, Color aboutBackground, Color aboutForeground, Icon icon, String websiteURLString, String helpURLString)

## Method Details

### getApplication

public static Application getApplication()

### getMenuBarFactory

public static MenuBarFactory getMenuBarFactory()

### getIcon

public static Icon getIcon()

### getNameString

public static String getNameString()

### getTitleString

public static String getTitleString()

### getAboutString

public static String getAboutString()

### getAboutBackground

public static Color getAboutBackground()

### getAboutForeground

public static Color getAboutForeground()

### getWebsiteURLString

public static String getWebsiteURLString()

### getHelpURLString

public static String getHelpURLString()

### initialize

public abstract void initialize()

### addMenuFactory

public void addMenuFactory(MenuFactory menuFactory)

### getRecentFileMenu

public JMenu getRecentFileMenu()

### addRecentFile

public void addRecentFile(File file)

### doAbout

public void doAbout()

### doHelp

public void doHelp()

### doWebsite

public void doWebsite()

### displayURL

public void displayURL(String urlString)

### doPageSetup

public void doPageSetup()

### doOpen

public DocumentFrame doOpen()

### doOpen

public DocumentFrame doOpen(String fileName)

### doNew

public abstract DocumentFrame doNew()

### doOpenFile

public abstract DocumentFrame doOpenFile(File file)

### doQuit

public abstract void doQuit()

### doPreferences

public void doPreferences()

### addPreferencesSection

public void addPreferencesSection(PreferencesSection preferencesSection)

### getNewAction

public Action getNewAction()

### getOpenAction

public Action getOpenAction()

### getPageSetupAction

public Action getPageSetupAction()

### getExitAction

public Action getExitAction()

### getAboutAction

public Action getAboutAction()

### getPreferencesAction

public Action getPreferencesAction()

### getHelpAction

public Action getHelpAction()

### getWebsiteAction

public Action getWebsiteAction()